#include<stdio.h>

int main (){

    // Variables
    int numero=0;
    int divisores=0;
    int primo=0; // primo = 0 no primo = 1
    // Solicitar numero entero hasta valor -1
    do
    {
        printf("\nIntroduce un número, si es primo se cerrará el programa: ");
        scanf(" %d",&numero);
        if(numero!=-1 && numero>0)
        {
            // el numero es mayor que 0, comprobar si es primo
            primo=0;
            divisores=2;
            while(divisores<numero  && primo!=1)
            {
                if(numero%divisores==0) primo=1;
                divisores++;
            }
            // Si primo vale 0 es que el numero no es primo
            printf("\nEl numero %d no es primo",numero);
            printf("\n");
        }


    // Si primo vale 1 es que el numero es primo y utilizará la condición para salir del bucle
    } while(primo==1);
    return 0;

}